/*
    $File$
    Date	Author		Changes
    Nov 30 2000 Richard Jones	Created
 
    Copyright (C) 2000 Richard Jones
    All rights reserved.
 */
 
package MetaTF;

/**
 * General panic class offering a variety of error messages 
**/
public class Panic {

    /** Warning, not fatal **/
	public static void warning(String e) {
		System.err.println("Warning: "+e);
	}

    /** Fatal, but expected, error **/
    public static void error(String e) {
		System.err.println(e);
		System.exit(1);
	}

    /** Fatal internal error **/
	public static void panic(String e) {
		System.err.println("Panic: "+e);
		System.exit(2);
	}
}
