/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */
 
package MetaTF.Parser;

/**
 * @see MetaTF.Parser.Section
 * @see MetaTF.Parser.Record
 * @see MetaTF.Parser.Field
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/

interface HasFields {
  static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/HasFields.java,v 1.3 2000/12/15 16:29:55 rej Exp $";

    /**
     * Add a field to this section, record or field
     *
     * @param f the field
     * @exception DTDException IF this action is improper
    **/
    public void addField(Field f) throws DTDException;
}
